<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XWPFEndnote (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XWPFEndnote (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XWPFEndnote.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFDocument.html"
               title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFEndnotes.html"
               title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xwpf/usermodel/XWPFEndnote.html" target="_top">Frames</a>
        </li>
        <li><a href="XWPFEndnote.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>
                <a href="#fields.inherited.from.class.org.apache.poi.xwpf.usermodel.XWPFAbstractFootnoteEndnote">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xwpf.usermodel</div>
    <h2 title="Class XWPFEndnote" class="title">Class XWPFEndnote</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnoteEndnote.html"
                       title="class in org.apache.poi.xwpf.usermodel">org.apache.poi.xwpf.usermodel.XWPFAbstractFootnoteEndnote</a>
                </li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.xwpf.usermodel.XWPFEndnote</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.lang.Iterable&lt;<a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                                 title="class in org.apache.poi.xwpf.usermodel">XWPFParagraph</a>&gt;,
                        <a href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html"
                           title="interface in org.apache.poi.xwpf.usermodel">IBody</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">XWPFEndnote</span>
extends <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnoteEndnote.html"
           title="class in org.apache.poi.xwpf.usermodel">XWPFAbstractFootnoteEndnote</a></pre>
                <div class="block">Represents an end note footnote.
                    <p>End notes are collected at the end of a document or section rather than
                        at the bottom of a page.</p>
                    <p>Create a new footnote using <a
                            href="../../../../../org/apache/poi/xwpf/usermodel/XWPFDocument.html#createEndnote--"><code>XWPFDocument.createEndnote()</code></a>
                        or
                        <code>XWPFEndnotes#createFootnote()</code>.</p>
                    <p>The first body element of a footnote should (or possibly must) be a paragraph
                        with the first run containing a CTFtnEdnRef object. The <a
                                href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnoteEndnote.html#createParagraph--"><code>XWPFAbstractFootnoteEndnote.createParagraph()</code></a>
                        and
                        <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnoteEndnote.html#createTable--"><code>XWPFAbstractFootnoteEndnote.createTable()</code></a>
                        methods do this for you.</p>
                    <p>Footnotes have IDs that are unique across all footnotes in the document. You use
                        the footnote ID to create a reference to a footnote from within a paragraph.</p>
                    <p>To create a reference to a footnote within a paragraph you create a run
                        with a CTFtnEdnRef that specifies the ID of the target paragraph.
                        The
                        <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html#addFootnoteReference-org.apache.poi.xwpf.usermodel.XWPFAbstractFootnoteEndnote-"><code>XWPFParagraph.addFootnoteReference(XWPFAbstractFootnoteEndnote)</code></a>
                        method does this for you.</p></div>
                <dl>
                    <dt><span class="simpleTagLabel">Since:</span></dt>
                    <dd>4.0.0</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.xwpf.usermodel.XWPFAbstractFootnoteEndnote">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.xwpf.usermodel.<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnoteEndnote.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFAbstractFootnoteEndnote</a>
                                </h3>
                                <code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnoteEndnote.html#ctFtnEdn">ctFtnEdn</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnoteEndnote.html#document">document</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnoteEndnote.html#footnotes">footnotes</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFEndnote.html#XWPFEndnote--">XWPFEndnote</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFEndnote.html#XWPFEndnote-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTFtnEdn-org.apache.poi.xwpf.usermodel.XWPFAbstractFootnotesEndnotes-">XWPFEndnote</a></span>(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTFtnEdn&nbsp;note,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnotesEndnotes.html"
                                       title="class in org.apache.poi.xwpf.usermodel">XWPFAbstractFootnotesEndnotes</a>&nbsp;footnotes)</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFEndnote.html#XWPFEndnote-org.apache.poi.xwpf.usermodel.XWPFDocument-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTFtnEdn-">XWPFEndnote</a></span>(<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFDocument.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFDocument</a>&nbsp;document,
                                    org.openxmlformats.schemas.wordprocessingml.x2006.main.CTFtnEdn&nbsp;body)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFEndnote.html#ensureFootnoteRef-org.apache.poi.xwpf.usermodel.XWPFParagraph-">ensureFootnoteRef</a></span>(<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFParagraph</a>&nbsp;p)</code>
                                    <div class="block">Ensure that the specified paragraph has a reference marker for
                                        this
                                        end note by adding a footnote reference if one is not found.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.xwpf.usermodel.XWPFAbstractFootnoteEndnote">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.xwpf.usermodel.<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnoteEndnote.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFAbstractFootnoteEndnote</a>
                                </h3>
                                <code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnoteEndnote.html#addNewParagraph-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTP-">addNewParagraph</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnoteEndnote.html#addNewTbl-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTTbl-">addNewTbl</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnoteEndnote.html#createParagraph--">createParagraph</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnoteEndnote.html#createTable--">createTable</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnoteEndnote.html#createTable-int-int-">createTable</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnoteEndnote.html#getBodyElements--">getBodyElements</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnoteEndnote.html#getCTFtnEdn--">getCTFtnEdn</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnoteEndnote.html#getId--">getId</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnoteEndnote.html#getOwner--">getOwner</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnoteEndnote.html#getParagraph-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTP-">getParagraph</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnoteEndnote.html#getParagraphArray-int-">getParagraphArray</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnoteEndnote.html#getParagraphs--">getParagraphs</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnoteEndnote.html#getPart--">getPart</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnoteEndnote.html#getPartType--">getPartType</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnoteEndnote.html#getPictures--">getPictures</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnoteEndnote.html#getTable-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTTbl-">getTable</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnoteEndnote.html#getTableArray-int-">getTableArray</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnoteEndnote.html#getTableCell-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTTc-">getTableCell</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnoteEndnote.html#getTables--">getTables</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnoteEndnote.html#getXWPFDocument--">getXWPFDocument</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnoteEndnote.html#init--">init</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnoteEndnote.html#insertNewParagraph-org.apache.xmlbeans.XmlCursor-">insertNewParagraph</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnoteEndnote.html#insertNewTbl-org.apache.xmlbeans.XmlCursor-">insertNewTbl</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnoteEndnote.html#insertTable-int-org.apache.poi.xwpf.usermodel.XWPFTable-">insertTable</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnoteEndnote.html#iterator--">iterator</a>,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnoteEndnote.html#setCTFtnEdn-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTFtnEdn-">setCTFtnEdn</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Iterable">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;java.lang.Iterable</h3>
                                <code>forEach, spliterator</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XWPFEndnote--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>XWPFEndnote</h4>
                                <pre>public&nbsp;XWPFEndnote()</pre>
                            </li>
                        </ul>
                        <a name="XWPFEndnote-org.apache.poi.xwpf.usermodel.XWPFDocument-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTFtnEdn-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>XWPFEndnote</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;XWPFEndnote(<a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFDocument.html"
                           title="class in org.apache.poi.xwpf.usermodel">XWPFDocument</a>&nbsp;document,
                             org.openxmlformats.schemas.wordprocessingml.x2006.main.CTFtnEdn&nbsp;body)</pre>
                            </li>
                        </ul>
                        <a name="XWPFEndnote-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTFtnEdn-org.apache.poi.xwpf.usermodel.XWPFAbstractFootnotesEndnotes-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XWPFEndnote</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;XWPFEndnote(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTFtnEdn&nbsp;note,
                             <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnotesEndnotes.html"
                                title="class in org.apache.poi.xwpf.usermodel">XWPFAbstractFootnotesEndnotes</a>&nbsp;footnotes)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="ensureFootnoteRef-org.apache.poi.xwpf.usermodel.XWPFParagraph-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>ensureFootnoteRef</h4>
                                <pre>public&nbsp;void&nbsp;ensureFootnoteRef(<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFParagraph</a>&nbsp;p)</pre>
                                <div class="block">Ensure that the specified paragraph has a reference marker for this
                                    end note by adding a footnote reference if one is not found.
                                    <p>This method is for the first paragraph in the footnote, not
                                        paragraphs that will refer to the footnote. For references to
                                        the footnote, use <code>XWPFParagraph#addFootnoteReference(XWPFAbstractFootnoteEndnote))</code>.
                                    </p>
                                    <p>The first run of the first paragraph in a footnote should
                                        contain a <code>CTFtnEdnRef</code> object.</p></div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnoteEndnote.html#ensureFootnoteRef-org.apache.poi.xwpf.usermodel.XWPFParagraph-">ensureFootnoteRef</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnoteEndnote.html"
                                                title="class in org.apache.poi.xwpf.usermodel">XWPFAbstractFootnoteEndnote</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>p</code> - The <a
                                            href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                            title="class in org.apache.poi.xwpf.usermodel"><code>XWPFParagraph</code></a>
                                        to ensure
                                    </dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XWPFEndnote.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFDocument.html"
               title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFEndnotes.html"
               title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xwpf/usermodel/XWPFEndnote.html" target="_top">Frames</a>
        </li>
        <li><a href="XWPFEndnote.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>
                <a href="#fields.inherited.from.class.org.apache.poi.xwpf.usermodel.XWPFAbstractFootnoteEndnote">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
